Bug 317387 - On reply, if the Name of an identity contains something in parentheses the content in parentheses does not apear in the from field.
Summary: On reply, if the Name of an identity contains something in parentheses the co...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: 4.10.1
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-26 16:28 UTC by Ovidiu-Florin BOGDAN
Modified: 2017-01-07 21:36 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Snapshot with Identity settings (184.94 KB, image/jpeg)
2013-03-27 13:37 UTC, Ovidiu-Florin BOGDAN
Details
Mail sent (848 bytes, text/plain)
2013-03-27 13:37 UTC, Ovidiu-Florin BOGDAN
Details
Mail received (1.67 KB, text/plain)
2013-03-27 13:38 UTC, Ovidiu-Florin BOGDAN
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ovidiu-Florin BOGDAN 2013-03-26 16:28:13 UTC
Create or edit an identity and in the Your name field type "anyname (foo)"
save.

Reply to a message using that identity. 
In the received reply, the From field contains: "anyname".
This only happenes on reply. It works as expected on Forward or new mail.

Reproducible: Always

Steps to Reproduce:
1. Create or edit an identity and in the Your name field type "anyname (foo)"
save.
2. Reply to a message using that identity. 
Actual Results:  
In the received reply, the From field contains: "anyname".

Expected Results:  
In the received reply, the From field contains: "anyname (foo)".

This only happenes on reply. It works as expected on Forward or new mail.
Reported on Kubuntu 12.04 with backports. KDE 4.10.1.
Comment 1 Laurent Montel 2013-03-26 16:39:23 UTC
Will investigate soon.
Comment 2 Laurent Montel 2013-03-26 16:42:54 UTC
will investigate soon
Comment 3 Laurent Montel 2013-03-26 16:54:35 UTC
could you add a screenshot that you want and why you want to add "(...)" ?
Comment 4 Ovidiu-Florin BOGDAN 2013-03-26 19:53:33 UTC
I'm using that identity for the customer support email account at work. All employes must send emails as: "Customer support (XYZ)"
Where XYZ are the initials of the emploee.

Most  of them are on windows and/or use thunderbird/Outlook/Opera or other email clients and this function works.

Have I explained the reason well enough? do I still have to provide screenshots?
(In reply to comment #3)
> could you add a screenshot that you want and why you want to add "(...)" ?
Comment 5 Laurent Montel 2013-03-27 06:22:17 UTC
Works fine here.
Need a screenshot in private for your identity config (first page) where there is the (...) and a reply message where there is the bug 
Thanks
Comment 6 Ovidiu-Florin BOGDAN 2013-03-27 13:37:13 UTC
Created attachment 78418 [details]
Snapshot with Identity settings
Comment 7 Ovidiu-Florin BOGDAN 2013-03-27 13:37:47 UTC
Created attachment 78419 [details]
Mail sent
Comment 8 Ovidiu-Florin BOGDAN 2013-03-27 13:38:13 UTC
Created attachment 78420 [details]
Mail received
Comment 9 Ovidiu-Florin BOGDAN 2013-03-27 15:17:18 UTC
Comment on attachment 78420 [details]
Mail received

Return-Path: obogdan@cxxxxxs.com
Received: from sxxxxxxxe.com (LHLO sxxxxxxxxe.com)
 (192.168.29.8) by sxxxxxce.com with LMTP; Wed, 27 Mar 2013
 10:13:27 -0500 (CDT)
Received: from localhost (localhost [127.0.0.1])
	by sxxxxxxxxm (Postfix) with ESMTP id 59DC9721B62
	for <obogdan@cxxxxx.com>; Wed, 27 Mar 2013 10:13:27 -0500 (CDT)
X-Virus-Scanned: amavisd-new at sexxxxxxe.com
Received: from sxxxxxxxxe.com ([127.0.0.1])
	by localhost (sxxxxxxx.com [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id c80nFs2VPuE5 for <obogdan@cxxxxxx.com>;
	Wed, 27 Mar 2013 10:13:26 -0500 (CDT)
Received: from owdl.localnet (rxxxxxe.ro [82.77.36.19])
	by sxxxxxxxxx.com (Postfix) with ESMTPS id 249AA720334
	for <obogdan@xxxxxxxx.com>; Wed, 27 Mar 2013 10:13:26 -0500 (CDT)
From: xxxxxxxxs Support <obogdan@xxxxxxs.com>
To: obogdan@xxxxxxxs.com
Subject: test2
Date: Wed, 27 Mar 2013 17:13:23 +0200
Message-ID: <2510304.sygNk8TQeb@owdl>
User-Agent: KMail/4.10.1 (Linux/3.2.0-39-generic; KDE/4.10.1; x86_64; ; )
In-Reply-To: <4739690.ofk6BMjp6s@owdl>
References: <1684737.D9LpmVx7XH@owdl> <4155699.qQtHceImf5@owdl> <4739690.ofk6BMjp6s@owdl>
MIME-Version: 1.0
Content-Type: multipart/alternative; boundary="nextPart1664093.Eco7B2A1E1"
Content-Transfer-Encoding: 7Bit

This is a multi-part message in MIME format.

--nextPart1664093.Eco7B2A1E1
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"

-- 
Regards,
Ovidiu Bogdan
xxxxxx Support


On Wednesday 27 March 2013 15:32:20 you wrote:
> > > > > > > > > > > last test, hopefully.
> > > > > > > > > > > 
> > > > > > > > > > > > test on reply.
> > > > > > > > > > > > 
> > > > > > > > > > > > > Test, please ignore this message.
--nextPart1664093.Eco7B2A1E1
Content-Transfer-Encoding: 7Bit
Content-Type: text/html; charset="us-ascii"

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN" "http://www.w3.org/TR/REC-html40/strict.dtd">
<html><head><meta name="qrichtext" content="1" /><style type="text/css">
p, li { white-space: pre-wrap; }
</style></head><body style=" font-family:'Ubuntu'; font-size:12pt; font-weight:400; font-style:normal;">
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">-- </p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Regards,</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Ovidiu Bogdan</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">CME E-quotes Support</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; ">&nbsp;</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; ">&nbsp;</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">On Wednesday 27 March 2013 15:32:20 you wrote:</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; last test, hopefully.</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; </p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; test on reply.</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; </p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">&gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; &gt; Test, please ignore this message.</p></body></html>
--nextPart1664093.Eco7B2A1E1--
Comment 10 Ovidiu-Florin BOGDAN 2013-04-01 19:14:02 UTC
Also affects ArchLinux.
Comment 11 Ovidiu-Florin BOGDAN 2013-06-19 19:18:31 UTC
Bug is not fixed. I've found that it manifests only if the Identity in cause is set as the default identity.
Comment 12 Denis Kurz 2016-09-24 18:16:50 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 13 Denis Kurz 2017-01-07 21:36:32 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.